CREATE TABLE hz_geo_struct_map_dtl (
    GEO_STRUCT_MAP_DTL_ID    NUMBER(18, 0),
    ENABLE_LOV_FLAG          VARCHAR2(4)  ,
    MAP_ID                   NUMBER(18, 0)    NOT NULL,
    LOC_SEQ_NUM              NUMBER(18, 0)    NOT NULL,
    LOC_COMPONENT            VARCHAR2(120)    NOT NULL,
    GEOGRAPHY_TYPE           VARCHAR2(120)    NOT NULL,
    GEO_ELEMENT_COL          VARCHAR2(120)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    GEO_STRUCT_MAP_DTL_ID    NUMBER(18, 0),
    ENABLE_LOV_FLAG          VARCHAR2(4)  ,
    MAP_ID                   NUMBER(18, 0)    NOT NULL,
    LOC_SEQ_NUM              NUMBER(18, 0)    NOT NULL,
    LOC_COMPONENT            VARCHAR2(120)    NOT NULL,
    GEOGRAPHY_TYPE           VARCHAR2(120)    NOT NULL,
    GEO_ELEMENT_COL          VARCHAR2(120)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_hz_geo_struct_map_dtl PRIMARY KEY (GEO_STRUCT_MAP_DTL_ID, GEO_STRUCT_MAP_DTL_ID)
);
